std::greater< _Tp >(3)

NAME
std::greater< _Tp > -

SYNOPSIS

Inherits std::binary_function< _Tp, _Tp, bool >.

  Public Types
typedef _Tp first_argument_type
typedef bool result_type
typedef _Tp second_argument_type

  Public Member Functions
_GLIBCXX14_CONSTEXPR bool operator() (const _Tp &__x, const _Tp &__y) const

Detailed Description

  template<typename _Tp>struct std::greater< _Tp >
One of the comparison functors.

Definition at line 372 of file stl_function.h.

Member Typedef Documentation

  typedef _Tp std::binary_function< _Tp , _Tp , bool >::first_argument_type [inherited]

first_argument_type is the type of the first argument

Definition at line 121 of file stl_function.h.

  typedef bool std::binary_function< _Tp , _Tp , bool >::result_type [inherited]

result_type is the return type

Definition at line 127 of file stl_function.h.

  typedef _Tp std::binary_function< _Tp , _Tp , bool >::second_argument_type [inherited]

second_argument_type is the type of the second argument

Definition at line 124 of file stl_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.